# Show_Camera_XXX

## Functions

float | `HIC_Show_Camera_Field_Width`
float | `HIC_Show_Camera_Field_Height`
float | `HIC_Show_Camera_Oblique_X`
float | `HIC_Show_Camera_Oblique_Y`
float | `HIC_Show_Camera_Eye_Distance`
HIC_Point * | `HIC_Show_Camera_Position`
HIC_Point * | `HIC_Show_Camera_Target`
HIC_Vector * | `HIC_Show_Camera_Up_Vector`
int | `HIC_Show_Camera_Projection`
float * | `HIC_Show_Camera_Positioning_Matrix`
float * | `HIC_Show_Camera_Projection_Matrix`
float | `HIC_Show_Camera_Aspect`
float | `HIC_Show_Camera_Near_Limit`

## Detailed Description

group Show_Camera_XXX

## Function Documentation

float HIC_Show_Camera_Field_Width(HIC_Rendition *nr)

  This function returns camera field width as a float.

  Parameters

    nr – A pointer to a const HIC_Rendition.

  Returns

    A float.

float HIC_Show_Camera_Field_Height(HIC_Rendition *nr)

  This function returns camera field height as a float.

  Parameters

    nr – A pointer to a const HIC_Rendition.

  Returns

    A float.

float HIC_Show_Camera_Oblique_X(HIC_Rendition *nr)

  This function returns camera oblique x as a float.

  Parameters

    nr – A pointer to a const HIC_Rendition.

  Returns

    A float.

float HIC_Show_Camera_Oblique_Y(HIC_Rendition *nr)

  This function returns camera oblique y as a float.

  Parameters

    nr – A pointer to a const HIC_Rendition.

  Returns

    A float.

float HIC_Show_Camera_Eye_Distance(HIC_Rendition *nr)

  This function returns camera eye distance as a float.

  Parameters

    nr – A pointer to a const HIC_Rendition.

  Returns

    A float.

HIC_Point *HIC_Show_Camera_Position(HIC_Rendition *nr)

  This function returns camera position information.

  Parameters

    nr – A pointer to a const HIC_Rendition.

  Returns

    A pointer to a const HIC_Point.

HIC_Point *HIC_Show_Camera_Target(HIC_Rendition *nr)

  This function returns camera target information.

  Parameters

    nr – A pointer to a const HIC_Rendition.

  Returns

    A pointer to a const HIC_Point.

HIC_Vector *HIC_Show_Camera_Up_Vector(HIC_Rendition *nr)

  This function returns camera up vector information.

  Parameters

    nr – A pointer to a const HIC_Rendition.

  Returns

    A pointer to a const HIC_Vector.

int HIC_Show_Camera_Projection(HIC_Rendition *nr)

  This function returns camera projection as an int.

  Parameters

    nr – A pointer to a const HIC_Rendition.

  Returns

    An int.

float *HIC_Show_Camera_Positioning_Matrix(HIC_Rendition *nr)

  This function returns the camera positioning matrix.

  Parameters

    nr – A pointer to a const HIC_Rendition.

  Returns

    A pointer to a 4x4 array of floats.

float *HIC_Show_Camera_Projection_Matrix(HIC_Rendition *nr)

  This function returns the camera projection matrix.

  Parameters

    nr – A pointer to a const HIC_Rendition.

  Returns

    A pointer to a 4x4 array of floats.

float HIC_Show_Camera_Aspect(HIC_Rendition *nr)

  This function returns camera aspect ratio width as a float.

  Parameters

    nr – A pointer to a const HIC_Rendition.

  Returns

    A float.

float HIC_Show_Camera_Near_Limit(HIC_Rendition *nr)

  This function returns the current database camera near limit setting (or the system setting if the camera doesn’t specify its own).

  Parameters

    nr – A pointer to a const HIC_Rendition.

  Returns

    A float.